Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.auth
Interface ImplicitLoginFilterChain

    public interface ImplicitLoginFilterChain

This interface is used to call the next element in the filter chain for the implicit Portal login. A reference is passed to the `com.ibm.portal.auth.ImplicitLoginFilter` SPI. If an implementation of this SPI calls this method, the corresponding method of the next LoginFilter implementation as defined in the login filter chain (as a property of the Portal Authentication Service) is called. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  6.1

Method Summary
`void` | `login(HttpServletRequest req, HttpServletResponse resp, FilterChainContext portalLoginContext, java.lang.String realm)` Calls the login method of the next login filter in the filter chain for the implicit Portal login.

Method Detail

### login

    void login(HttpServletRequest req,
               HttpServletResponse resp,
               FilterChainContext portalLoginContext,
               java.lang.String realm)
               throws javax.security.auth.login.LoginException,
                      WSSecurityException,
                      SessionTimeOutException,
                      AuthenticationFailedException,
                      AuthenticationException,
                      SystemLoginException,
                      LoginException

  Calls the login method of the next login filter in the filter chain for the implicit Portal login.

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `portalLoginContext` - A `FilterChainContext` object that can be used to share information between the login filter implementations.
    `realm` - A string identifying the current realm.
  Throws:
    `javax.security.auth.login.LoginException` - The java login exception that can be thrown by WAS when creating or invoking the login context for the Portal JAAS login.
    `WSSecurityException` - This exception can be thrown by WAS when setting the security subject.
    `SessionTimeOutException` - To be thrown if the user did not log out the last time he accessed Portal. This does currently not happen as the session timeout is handled internally in Portal.
    `AuthenticationFailedException` - Thrown if the Authentication failed for some other reason.
    `AuthenticationException` - Thrown if the Authentication failed for some other reason.
    `SystemLoginException` - Thrown when an unrecoverable problem occurred within Portal during Login.
    `LoginException` - This generic exception is thrown for all kinds of other exceptions that can occur during the login process.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD